package com.ruoyi.app.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 仓库对象 app_storage
 *
 * @author ruoyi
 * @date 2025-03-04
 */
public class AppStorage extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 厂区 */
    @Excel(name = "厂区")
    private String factoryId;

    /** 所属部门 */
    @Excel(name = "所属部门")
    private Long deptId;

    /** 仓库编号 */
    @Excel(name = "仓库编号")
    private String storageId;

    /** 仓库简称 */
    @Excel(name = "仓库简称")
    private String storageShortName;

    /** 仓库名称 */
    @Excel(name = "仓库名称")
    private String storageName;

    /** 仓库地址 */
//    @Excel(name = "仓库地址")
    private String storageAddress;

    /** 仓库联系人名称 */
//    @Excel(name = "仓库联系人名称")
    private String storageConcatsName;

    /** 仓库联系人方式 */
//    @Excel(name = "仓库联系人方式")
    private String storageConcatsMobile;

    /** 是否为立体库1:立体库 0：平库 */
    @Excel(name = "立体库")
    private String autoStatus;

    /** 是否是AGV库 0：否 1：是 */
    @Excel(name = "AGV库")
    private String isAgv;

    /** 是否可用 */
    @Excel(name = "是否可用")
    private String status;

    /** 仓储类型 1AGV 2堆垛机 3穿梭4 人工库 5 其他 */
//    @Excel(name = "仓库类型")
    private String type;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setFactoryId(String factoryId)
    {
        this.factoryId = factoryId;
    }

    public String getFactoryId()
    {
        return factoryId;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setStorageId(String storageId)
    {
        this.storageId = storageId;
    }

    public String getStorageId()
    {
        return storageId;
    }
    public void setStorageShortName(String storageShortName)
    {
        this.storageShortName = storageShortName;
    }

    public String getStorageShortName()
    {
        return storageShortName;
    }
    public void setStorageName(String storageName)
    {
        this.storageName = storageName;
    }

    public String getStorageName()
    {
        return storageName;
    }
    public void setStorageAddress(String storageAddress)
    {
        this.storageAddress = storageAddress;
    }

    public String getStorageAddress()
    {
        return storageAddress;
    }
    public void setStorageConcatsName(String storageConcatsName)
    {
        this.storageConcatsName = storageConcatsName;
    }

    public String getStorageConcatsName()
    {
        return storageConcatsName;
    }
    public void setStorageConcatsMobile(String storageConcatsMobile)
    {
        this.storageConcatsMobile = storageConcatsMobile;
    }

    public String getStorageConcatsMobile()
    {
        return storageConcatsMobile;
    }
    public void setAutoStatus(String autoStatus)
    {
        this.autoStatus = autoStatus;
    }

    public String getAutoStatus()
    {
        return autoStatus;
    }
    public void setIsAgv(String isAgv)
    {
        this.isAgv = isAgv;
    }

    public String getIsAgv()
    {
        return isAgv;
    }
    public void setStatus(String status)
    {
        this.status = status;
    }

    public String getStatus()
    {
        return status;
    }
    public void setType(String type)
    {
        this.type = type;
    }

    public String getType()
    {
        return type;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("factoryId", getFactoryId())
            .append("deptId", getDeptId())
            .append("storageId", getStorageId())
            .append("storageShortName", getStorageShortName())
            .append("storageName", getStorageName())
            .append("storageAddress", getStorageAddress())
            .append("storageConcatsName", getStorageConcatsName())
            .append("storageConcatsMobile", getStorageConcatsMobile())
            .append("autoStatus", getAutoStatus())
            .append("isAgv", getIsAgv())
            .append("status", getStatus())
            .append("createTime", getCreateTime())
            .append("createBy", getCreateBy())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("type", getType())
            .toString();
    }
}
